javax.swing.text

## Class DefaultEditorKit.CutAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - javax.swing.text.DefaultEditorKit.CutAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  DefaultEditorKit

    public static class DefaultEditorKit.CutAction
    extends TextAction

Cuts the selected region and place its contents into the system clipboard.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `DefaultEditorKit.cutAction`, `DefaultEditorKit.getActions()`

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`DefaultEditorKit.CutAction()` Create this object with the appropriate identifier.

### Method Summary

Methods
`void` `actionPerformed(ActionEvent e)` The operation to perform when this action is triggered.

### Methods inherited from class javax.swing.text.TextAction

`augmentList, getFocusedComponent, getTextComponent`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEditorKit.CutAction

    public DefaultEditorKit.CutAction()

Create this object with the appropriate identifier.

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

The operation to perform when this action is triggered.

Parameters:
  `e` - the action event

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.